# Contributing to axie-scholar-utilities
First of all, thank you for your interest in contributing to this tool. I am very happy you have decided to volunteer your help in making this piece of software better!

## Code Style Guidelines

I losely follow PEP-8 and I am currently not doing type annotations. This might change in the future, but for now, please just try to stick to PEP-8 the most you can.

## Pull Request Guidelines

* Before opening a PR, check open PR's and issues to see if someone already has a solution for what you want to solve.
* Follow te code style guidelines.
* Make sure the PR title is capitalized, short (less than 50 chars) and concice.
* Make sure to update and add proper documentation
* No PR will be approved without sufficent unit tests, please add them!
* Target your PR to the `main` branch

Once you have submitted a pull request, I will review it and I might propose changes and discuss your implementation. I will ultimately decide whether or not to incorporate your changes.

## Pull requests Pro Tips

* [Fork][fork-link] the repository and [clone][clone-link] it locally.
Connect your local repository to the original `upstream` repository by adding it as a [remote][remote-link].
Pull in changes from `upstream` often so that you stay up to date and so when you submit your pull request,
merge conflicts will be less likely. See more detailed instructions [here][syncing-link].
* Create a [branch][branch-link] for your edits.
* Contribute in the style of the project as outlined above. This makes it easier to review and understand. It also makes it easier to mantain in the future.

### Open Pull Requests

Once you’ve opened a pull request, a discussion will start around your proposed changes.

Other users may chime in, but ultimately the decision is made by me.

During the discussion, you may be asked to make some changes to your pull request.

If so, add more commits to your branch and push them – they will automatically go into the existing pull request. But don't forget to squash them (for a neater PR).

*Thank you again for your interest in this project, and I look forward to hearing from you soon!*

[branch-link]: <http://guides.github.com/introduction/flow/>
[clone-link]: <https://help.github.com/articles/cloning-a-repository/>
[fork-link]: <http://guides.github.com/activities/forking/>
[oauth-link]: <https://en.wikipedia.org/wiki/OAuth>
[pr-link]: <https://help.github.com/articles/creating-a-pull-request/>
[remote-link]: <https://help.github.com/articles/configuring-a-remote-for-a-fork/>
[syncing-link]: <https://help.github.com/articles/syncing-a-fork>
[squash-link]: <https://github.com/todotxt/todo.txt-android/wiki/Squash-All-Commits-Related-to-a-Single-Issue-into-a-Single-Commit>
